com.verisign.epp.util.secureauthinfo

## Class EPPAuthInfoFactory

- java.lang.Object
- - com.verisign.epp.util.secureauthinfo.EPPAuthInfoFactory

-     public class EPPAuthInfoFactory
      extends java.lang.Object

  Strong random authorization information factory, that follows section 3.1 "Secure Random Authorization Information" of the EPP Secure Authorization Information for Transfer draft. There are multiple methods that can be used to create an authorization information by length, with a passed `Random`, and using a defined set of symbols to randomize.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPAuthInfoFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPAuthInfo` | `createAuthInfo(int aLength)` Create an `EPPAuthInfo` instance with a strong random authorization information value, that follows section 3.1 "Secure Random Authorization Information" of the EPP Secure Authorization Information for Transfer draft, using the set of all printable ASCII characters exception space (0x20).
    `static char[]` | `createAuthInfoPassword(int aLength)` Create a strong random authorization information password character array value,that follows section 3.1 "Secure Random Authorization Information" of the EPP Secure Authorization Information for Transfer draft, using the set of all printable ASCII characters exception space (0x20), and a provided length.
    `static char[]` | `createAuthInfoPassword(int aLength, java.util.Random aRandom, char[] aSymbols)` Create a strong random authorization information password character array value using a passed in length, `Random`, and array of symbols to randomize from.
    `static java.lang.String` | `createAuthInfoPasswordStr(int aLength)` Create a strong random authorization information password `String` value,that follows section 3.1 "Secure Random Authorization Information" of the EPP Secure Authorization Information for Transfer draft, using the set of all printable ASCII characters exception space (0x20), and a provided length.
    `static java.lang.String` | `createAuthInfoPasswordStr(int aLength, java.util.Random aRandom, char[] aSymbols)` Create a strong random authorization information password `String` value using a passed in length, `Random`, and array of symbols to randomize from.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPAuthInfoFactory

          public EPPAuthInfoFactory()

  - ### Method Detail

    - #### createAuthInfoPassword

          public static char[] createAuthInfoPassword(int aLength)

      Create a strong random authorization information password character array value,that follows section 3.1 "Secure Random Authorization Information" of the EPP Secure Authorization Information for Transfer draft, using the set of all printable ASCII characters exception space (0x20), and a provided length.
      Parameters:
        `aLength` - Length of random authorization information to create.
      Returns:
        Strong random authorization information password

    - #### createAuthInfoPasswordStr

          public static java.lang.String createAuthInfoPasswordStr(int aLength)

      Create a strong random authorization information password `String` value,that follows section 3.1 "Secure Random Authorization Information" of the EPP Secure Authorization Information for Transfer draft, using the set of all printable ASCII characters exception space (0x20), and a provided length.
      Parameters:
        `aLength` - Length of random authorization information to create.
      Returns:
        Strong random authorization information password

    - #### createAuthInfoPassword

          public static char[] createAuthInfoPassword(int aLength,
                                                      java.util.Random aRandom,
                                                      char[] aSymbols)

      Create a strong random authorization information password character array value using a passed in length, `Random`, and array of symbols to randomize from.
      Parameters:
        `aLength` - Length of the authorization information password to create.
        `aRandom` - `Random` instance to use to randomize the symbols in the authorization information password.
        `aSymbols` - The array of symbols to randomize in the authorization information password.
      Returns:
        Strong random authorization information password

    - #### createAuthInfoPasswordStr

          public static java.lang.String createAuthInfoPasswordStr(int aLength,
                                                                   java.util.Random aRandom,
                                                                   char[] aSymbols)

      Create a strong random authorization information password `String` value using a passed in length, `Random`, and array of symbols to randomize from.
      Parameters:
        `aLength` - Length of the authorization information password to create.
        `aRandom` - `Random` instance to use to randomize the symbols in the authorization information password.
        `aSymbols` - The array of symbols to randomize in the authorization information password.
      Returns:
        Strong random authorization information password

    - #### createAuthInfo

          public static EPPAuthInfo createAuthInfo(int aLength)

      Create an `EPPAuthInfo` instance with a strong random authorization information value, that follows section 3.1 "Secure Random Authorization Information" of the EPP Secure Authorization Information for Transfer draft, using the set of all printable ASCII characters exception space (0x20).
      Parameters:
        `aLength` - Length of the authorization information password to create.
      Returns:
        `EPPAuthInfo` instance with a strong random authorization information value.